// tutor
package models

type Tutor struct {
	Id    int
	Name  string
	Email string

	// Does the tutor want to subscribe to the mailinglist for student assistents?
	// This information has to be extracted from the database by hand.
	SubscribeToMailinglist bool
}

type TutorRepository interface {
	FindByEmail(Email string) ([]Tutor, error)
	FindByNameAndEmail(name string, email string) (Tutor, error)
	FindById(Id int) (Tutor, error)
	GetAll() ([]Tutor, error)
	Add(tutor Tutor) (int, error)
}
